org.eclipse.rdf4j.sail.extensiblestore.evaluationstatistics

## Class ExtensibleDirectEvaluationStatistics

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.evaluation.impl.EvaluationStatistics
  - - org.eclipse.rdf4j.sail.extensiblestore.evaluationstatistics.ExtensibleEvaluationStatistics
    - - org.eclipse.rdf4j.sail.extensiblestore.evaluationstatistics.ExtensibleDirectEvaluationStatistics

-     @Experimental
      public class ExtensibleDirectEvaluationStatistics
      extends ExtensibleEvaluationStatistics

  ExtensibleDirectEvaluationStatistics provides evaluation statistics by directly querying the underlying data source.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.rdf4j.query.algebra.evaluation.impl.EvaluationStatistics

      `EvaluationStatistics.CardinalityCalculator`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.algebra.evaluation.impl.EvaluationStatistics

      `cc`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtensibleDirectEvaluationStatistics(ExtensibleSailStore extensibleSailStore)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected EvaluationStatistics.CardinalityCalculator` | `createCardinalityCalculator()`

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.evaluation.impl.EvaluationStatistics

      `getCardinality`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtensibleDirectEvaluationStatistics

          public ExtensibleDirectEvaluationStatistics(ExtensibleSailStore extensibleSailStore)

  - ### Method Detail

    - #### createCardinalityCalculator

          protected EvaluationStatistics.CardinalityCalculator createCardinalityCalculator()

      Specified by:
        `createCardinalityCalculator` in class `ExtensibleEvaluationStatistics`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.